%global debug_package   %{nil}
%global provider_tld    com
%global provider        google
%global provider_prefix code
%global project         p
%global repo            net
%global import_path     %{provider_prefix}.%{provider}.%{provider_tld}/%{project}/go.%{repo}
%global rev             90e232e2462dedc03bf3c93358da62d54d55dfb6
%global shortrev        %(r=%{rev}; echo ${r:0:12})

Name:       golang-%{provider}%{provider_prefix}-%{repo}
Version:    0
Release:    0.16.hg%{shortrev}%{?dist}
Summary:    Supplementary Go networking libraries
License:    BSD
URL:        http://%{import_path}
Source0:    https://%{repo}.go.%{provider}%{provider_prefix}.%{provider_tld}/archive/%{rev}.tar.gz
BuildArch:  noarch

%description
%{summary}

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(code.google.com/p/go.text/encoding)
BuildRequires:  golang(code.google.com/p/go.text/encoding/charmap)
BuildRequires:  golang(code.google.com/p/go.text/encoding/japanese)
BuildRequires:  golang(code.google.com/p/go.text/encoding/korean)
BuildRequires:  golang(code.google.com/p/go.text/encoding/simplifiedchinese)
BuildRequires:  golang(code.google.com/p/go.text/encoding/traditionalchinese)
BuildRequires:  golang(code.google.com/p/go.text/encoding/unicode)
BuildRequires:  golang(code.google.com/p/go.text/transform)
Requires:   golang >= 1.2.1-3
Summary:    Supplementary Go networking libraries
Provides:   golang(%{import_path}/context) = %{version}-%{release}
Provides:   golang(%{import_path}/dict) = %{version}-%{release}
Provides:   golang(%{import_path}/html) = %{version}-%{release}
Provides:   golang(%{import_path}/html/atom) = %{version}-%{release}
Provides:   golang(%{import_path}/html/charset) = %{version}-%{release}
Provides:   golang(%{import_path}/idna) = %{version}-%{release}
Provides:   golang(%{import_path}/internal/iana) = %{version}-%{release}
Provides:   golang(%{import_path}/internal/icmp) = %{version}-%{release}
Provides:   golang(%{import_path}/ipv4) = %{version}-%{release}
Provides:   golang(%{import_path}/ipv6) = %{version}-%{release}
Provides:   golang(%{import_path}/proxy) = %{version}-%{release}
Provides:   golang(%{import_path}/publicsuffix) = %{version}-%{release}
Provides:   golang(%{import_path}/spdy) = %{version}-%{release}
Provides:   golang(%{import_path}/websocket) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use the supplementary Go networking libraries.

%prep

%setup -qn net.go-%{shortrev}

%build

%install
install -dp %{buildroot}/%{gopath}/src/%{import_path}
for dir in */ ; do
   cp -rpav $dir %{buildroot}/%{gopath}/src/%{import_path}/
done

%check
for dir in $(find . -mindepth 0 -maxdepth 3 -type d); do
    if [ $(find $dir -maxdepth 1 -name *_test.go | wc -l) != '0' ]; then
        GOPATH=%{gopath}:%{buildroot}%{gopath} go test %{import_path}/$dir
    fi
done

rm -rf %{buildroot}%{gopath}/src/%{import_path}/html/testdata
rm -rf %{buildroot}%{gopath}/src/%{import_path}/html/charset/testdata

%files devel
%doc AUTHORS CONTRIBUTORS LICENSE PATENTS README
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/*
%dir %{gopath}/src/%{import_path}/*/*
%{gopath}/src/%{import_path}/*/*.go
%{gopath}/src/%{import_path}/*/*.s
%{gopath}/src/%{import_path}/*/*/*.go

%changelog
* Mon Sep 29 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.16.hg90e232e2462d
- Resolves: rhbz#1147193 - update to latest upstream revision 
  90e232e2462dedc03bf3c93358da62d54d55dfb6
- don't redefine gopath, don't own dirs owned by golang
- use golang >= 1.2.1-3 for golang specific rpm macros
- preserve timestamps of copied files
- br stuff from golang-googlecode-text

* Fri Jul 11 2014 Vincent Batts <vbatts@fedoraproject.org> - 0-0.15.hg84a4013f96e0
- don't fail on ipv6 test bz1056185

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.hg84a4013f96e0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 17 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.13.hg84a4013f96e0
- golang exclusivearch for el6+
- add check

* Fri Jan 17 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.12.hg84a4013f96e0
- revert golang >= 1.2 version requirement

* Wed Jan 15 2014 Lokesh Mandvekar <lsm5@redhat.com> 0-0.11.hg84a4013f96e0
- require golang 1.2 and up

* Wed Oct 16 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.10.hg84a4013f96e0
- removed double quotes from Provides

* Tue Oct 08 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.9.hg84a4013f96e0
- noarch for f19+ and rhel7+, exclusivearch otherwise

* Mon Oct 07 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.8.hg84a4013f96e0
- exclusivearch as per golang package
- debug_package nil

* Sun Sep 22 2013 Matthew Miller <mattdm@fedoraproject.org> 0-0.7.hg
- install just the source code for devel package

* Fri Sep 20 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.6.hg
- All Provides listed explicitly

* Fri Sep 20 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.5.hg
- Provides corrected

* Fri Sep 20 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.hg
- comment cleanup
- build explanation

* Fri Sep 20 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.hg
- html/webkit/scripted ownership set
- codereview.cfg not packaged

* Fri Sep 20 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.hg
- IPv6 doesn't build
- Typo correction
- directory ownership taken care of

* Thu Sep 19 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.hg
- Initial fedora package
